<?php 
session_start();
$usuario_login=$_SESSION['usuario_login'];
require("../conectar.php");
$pago = $_POST['pago'];
$campo = $_POST['campo'];
$monto = $_POST['monto'];
$motivo = $_POST['motivo'];

$sqlbit = "SELECT monto,obsmodpago FROM pagos WHERE id_pago = $pago";
$eje = mysql_query($sqlbit);
$obs = mysql_fetch_array($eje);

if($obs['monto'] != $monto){
	$campos .= "-Monto<br>";
	$valorprevio .= "-".$obs['monto']."<br>";
	$valornuevo .= "-".$monto."<br>";
}
if($obs['obsmodpago'] != $motivo){
	$campos .= "-Motivo<br>";
	$valorprevio .= "-".$obs['obsmodpago']."<br>";
	$valornuevo .= "-".$motivo."<br>";
}

$sqlreg = "INSERT INTO bitacorapagos(idpago,fecha,campo,valorpre,valornvo,usuario) VALUES($pago,NOW(),'$campos','$valorprevio','$valornuevo','$usuario_login')";
mysql_query($sqlreg); 

$sql = "UPDATE pagos SET monto = $monto,obsmodpago = '$motivo' WHERE id_pago = $pago";
mysql_query($sql);
?>